<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('resztvevok', function (Blueprint $table) {
            $table->id();
            $table->foreignId('esemeny_id')->constrained('esemenyek');
            $table->foreignId('felhasznalo_id')->constrained('felhasznalok');
            $table->boolean('elfogadva_statusz')->default(false);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('resztvevok');
    }
};
